## org.plovr
Class PlovrCoffeeScriptCompilerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.plovr.PlovrCoffeeScriptCompilerException

All Implemented Interfaces:
  Serializable

    public class PlovrCoffeeScriptCompilerException

extends RuntimeException

`PlovrCoffeeScriptCompilerException` is a wrapper for a `CoffeeScriptCompilerException` that contains information specific to plovr, such as the `JsInput` that was responsible for the exception.

Author:
  bolinfest@gmail.com (Michael Bolin)
See Also:
  Serialized Form

Constructor Summary
`PlovrCoffeeScriptCompilerException(CoffeeScriptCompilerException cause, JsInput input)`

Method Summary
`CoffeeScriptCompilerException` `getCoffeeScriptCompilerException()`
`JsInput` `getInput()`
`int` `getLineNumber()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlovrCoffeeScriptCompilerException

    public PlovrCoffeeScriptCompilerException(CoffeeScriptCompilerException cause,
                                              JsInput input)

Method Detail

### getCoffeeScriptCompilerException

    public CoffeeScriptCompilerException getCoffeeScriptCompilerException()

### getInput

    public JsInput getInput()

### getLineNumber

    public int getLineNumber()